/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: osdbase.cc 3063 2006-04-04 22:15:51Z svntobi $
 *
 */

#include <vdr/osdbase.h>

cListBase::cListBase()
{
}

cListBase::~cListBase()
{
}

void cListBase::Clear()
{
}

void cListBase::Move(int a, int b)
{
}

cOsdMenu::~cOsdMenu()
{
}

cOsdMenu::cOsdMenu(const char* a, int b, int c, int d, int e, int f)
{
}

void cOsdMenu::Clear()
{
}

void cOsdMenu::Del(int Index)
{
}

void cOsdMenu::Display(void)
{
}

eOSState cOsdMenu::ProcessKey(eKeys Key)
{
    return osUnknown;
}

void cOsdObject::Show()
{
}

cTimeMs::cTimeMs()
{
}
